<openerp>
<data>

    <record model="ir.ui.view" id="feosco_view_account_asset_asset_form">
        <field name="name">account.asset.asset.form</field>
        <field name="model">account.asset.asset</field>
        <field name="type">form</field>
        <field name="inherit_id" ref="account_asset.view_account_asset_asset_form"/>
        <field name="arch" type="xml">

            <xpath expr="//field[@name='name']" position="replace">
                <field name="feosco_image" widget="image"/>
                <field name="name"/>

            </xpath>
            <field name="category_id" position="before">
                <field name="feosco_num"/>
            </field>
            <xpath expr="//notebook" position="before">
                <group>
                    <group>
                        <field name="feosco_asset_department_id"/>
                        <field name="feosco_scan_time_id" readonly="1"/>
                        <field name="feosco_qty"/>
                        <field name="feosco_barcode_type"/>
                        <field name="feosco_code"/>
                    </group>
                    <group>
                        <field name="feosco_location"/>
                        <field name="feosco_stock"/>
                        <field name="feosco_unit"/>
                        <field name="feosco_user_id"/>
                        <field name="feosco_status_id"/>
                        <field name="feosco_print" invisible="1"/>
                    </group>
                </group>
            </xpath>

            <!--<xpath expr="//button[@name='validate']" position="replace"/>-->
            <!--<xpath expr="//button[@name='set_to_draft']" position="replace"/>-->
            <!--<xpath expr="//button[@name='set_to_close']" position="replace"/>-->
            <!--<xpath expr="//field[@name='state']" position="replace"/>-->
            <xpath expr="//page[@string='General']" position="inside">
                <group>
                    <separator string="Chuyển giao"/>
                    <field name="feosco_history_ids" nolabel="1" model="tree" colspan="4">
                            <tree editable="bottom">
                                <field name="user_id"/>
                                <field name="create_uid"/>
                                <field name="create_date"/>
                                <field name="action"/>
                            </tree>
                        </field>
                    <separator string="Quét kiểm tra"/>
                    <field name="feosco_scan_ids" nolabel="1" model="tree" colspan="4" options="{'no_edit': True}">
                        <tree>
                            <field name="image" widget="image" style="width: 300px;"/>
                            <field name="create_date"/>
                            <field name="note"/>
                        </tree>
                        <form>
                            <field name="image" widget="image" style="width: 300px;"/>
                            <field name="note"/>
                        </form>
                    </field>
                </group>
                <!--<group colspan="4">-->
                    <!--<separator string="" colspan="4"/>-->
                    <!--<field name="state" readonly="1" colspan="2"/>-->
                    <!--<group colspan="2" col="4">-->
                        <!--<button name="validate" states="draft" string="Assign" type="object" icon="terp-camera_test"/>-->
                        <!--<button name="set_to_draft" states="open,close" string="Set to Draft" type="object" icon="gtk-convert" confirm="Bạn đã chắc chắn chuyển tài sản này về nháp ?"/>-->
                        <!--<button name="set_to_close" states="open" string="Set to Close" type="object" icon="gtk-close" confirm="Bạn đã chắc chắn đóng tài sản này ?"/>-->
                        <!--<button name="act_print_barcode_PT9700" string="In Nhãn PT9700"  type="object" icon="gtk-execute" confirm="Chọn Ok và đợi thông tin xuất qua máy in và thực hiện in trong giây lát."/>-->
                    <!--</group>-->
                <!--</group>-->
            </xpath>

        </field>
    </record>

    <record model="ir.ui.view" id="feosco_view_account_asset_asset_tree">
        <field name="name">account.asset.asset.tree</field>
        <field name="model">account.asset.asset</field>
        <field name="inherit_id" ref="account_asset.view_account_asset_asset_tree"/>
        <field name="type">tree</field>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='currency_id']" position="replace"/>
            <xpath expr="//field[@name='name']" position="before">
                <field name="feosco_num"/>
                <field name="feosco_asset_department_id"/>
                <field name="feosco_qty"/>
                <field name="feosco_scan_time_id"/>
                <field name="code"/>
                <field name="feosco_code"/>
                <field name="feosco_barcode_type"/>
            </xpath>
            <xpath expr="//field[@name='purchase_date']" position="replace"/>
            <xpath expr="//field[@name='partner_id']" position="replace"/>
        </field>
    </record>


    <record id="feosco_view_account_asset_search" model="ir.ui.view">
        <field name="name">account.asset.asset.search</field>
        <field name="model">account.asset.asset</field>
        <field name="inherit_id" ref="account_asset.view_account_asset_search"/>
        <field name="type">search</field>
        <field name="arch" type="xml">
            <data>
                <xpath expr="//filter[@string='Closed']" position="replace"/>
                <xpath expr="//filter[@string='Current']" position="replace">
                    <filter string="Định dạng Barcode" icon="terp-personal" domain="[]" context="{'group_by':'feosco_barcode_type'}"/>
                    <filter string="Chu kỳ kiểm kê" icon="terp-personal" domain="[]" context="{'group_by':'feosco_scan_time_id'}"/>
                    <filter string="Phòng Ban" icon="terp-personal" domain="[]" context="{'group_by':'feosco_asset_department_id'}"/>
                </xpath>
                <xpath expr="//field[@name='name']" position="before">
                    <field name="feosco_asset_department_id"/>
                    <field name="feosco_user_id"/>
                    <field name="feosco_code"/>
                    <field name="feosco_scan_time_id"/>
                    <field name="feosco_barcode_type"/>
                </xpath>
            </data>
        </field>
    </record>

</data>
</openerp>